<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Publisher</title>

</head>
<body class="black">
<!--/*@thymesVar id="publisher" type="com.pos_land.steam.domain.Publisher"*/-->
<div th:include="fragments/header :: header"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1 th:text="${publisher.getPublisherName()}">Name of Publisher</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <a href="#"
               th:href="@{'/publisher/'+${publisher.getId()} + '/update'}"
               class="btn btn-warning">Edit</a>
            <button onclick="document.getElementById('modal').style.display='block'"
                    class="btn btn-danger">Remove</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="table-responsive">
                <table class="table">
                    <thead class="thead-inverse">
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Games</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td th:text="${publisher.getId()}">1</td>
                        <td th:text="${publisher.getPublisherName()}">Name of Publisher</td>
                        <td>
                            <ul>
                                <li th:each="game : ${publisher.getGames()}" th:text="${game.getGameName()}">Game 1</li>
                            </ul>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="container-popup">
                <a href="#"
                   th:href="@{'/publishers'}"
                   class="btn btn-primary">Back to Overview</a>
            </div>
        </div>
    </div>
    <div id="modal" class="modal">
        <div class="modal-content">
            <div class="container-popup">
                <h4>Do you really want to delete </h4>
                <a href="#"
                   th:href="@{'/publisher/'+${publisher.getId()} + '/delete'}"
                   class="btn btn-success">Confirm</a>
                <button type="button"
                        onclick="document.getElementById('modal').style.display='none'"
                        class="btn btn-danger">Cancel</button>
            </div>
        </div>
    </div>
</div>

</body>

<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>